Page MenuHomePhabricator

Create a Debian package for https://github.com/mozilla/geckodriver for at least Debian Jessie
Closed, DeclinedPublic

Description

With Firefox 47, the Selenium Webdriver API calls are barely supported by Firefox. They need to be funneled through a WebDriver proxy geckodriver which translates the requests to their own internal driver Marionette.

To be able to run Selenium tests for Firefox 47+ we thus need a Debian package for https://github.com/mozilla/geckodriver

Event Timeline

hashar created this task.Jun 14 2016, 11:21 AM

Mentioned in SAL [2016-06-14T11:21:50Z] <hashar> T137797 Created Gerrit repository operations/debs/geckodriver to package https://github.com/mozilla/geckodriver

Change 294293 had a related patch set uploaded (by Hashar):
Initial debianization

https://gerrit.wikimedia.org/r/294293

rustc and the cargo package managers are not available in Jessie though they are in testing/unstable. I have build a preliminary package for unstable which embed dependencies fetched by cargo.

https://people.wikimedia.org/~hashar/debs/gecokdriver_0.8.0/

Rust source package: https://packages.debian.org/source/stretch/rustc

Moritz has offered a quick review of https://gerrit.wikimedia.org/r/#/c/294293/

Thanks to @zeljkofilipin I got a basic run working T137561#2385012

Now going to reach out to the ops internal mailing list to have advices regarding packaging a rust based application given:

  • rust / cargo are not available on Jessie
  • the package building relies on fetching dependencies from the internet via the cargo package manager
hashar lowered the priority of this task from High to Normal.Nov 18 2016, 3:47 PM
hashar moved this task from Untriaged to Backlog on the Continuous-Integration-Infrastructure board.

Perhaps put it on Debian too, so others could apt-get it, without having to change their sources.list.

hashar lowered the priority of this task from Normal to Low.Jan 23 2017, 1:58 PM

Change 294293 abandoned by Hashar:
Initial debianization

Reason:
Thanks for the review.

Debian has some work going on to make it easier to package using the Cargo package manage, but all of that is pretty much experimental for now.

It is not like I can sink resources in figuring out all the arcane of moving edge Debian packaging. Given Firefox is less than 8% of our traffic, we will probably just drop Firefox support partly due to lack of a selenium web driver but also because it is simply not worth the time investment.

Abandoning this change meanwhile. We can always reopen later on.

https://gerrit.wikimedia.org/r/294293

hashar closed this task as Declined.Feb 17 2017, 2:25 PM

From https://gerrit.wikimedia.org/r/#/c/294293/


Debian has some work going on to make it easier to package using the Cargo package manage, but all of that is pretty much experimental for now.

It is not like I can sink resources in figuring out all the arcane of moving edge Debian packaging. Given Firefox is less than 8% of our traffic, we will probably just drop Firefox support partly due to lack of a selenium web driver but also because it is simply not worth the time investment.

Abandoning this change meanwhile. We can always reopen later on.